<?php

namespace Omnipay\Inforbank\Message;

class CompletePurchaseResponse extends PurchaseResponse
{
    public function isSuccessful()
    {
        return ($this->data['transaction']['status'] === 2);
    }

    public function isRedirect()
    {
        return false;
    }

    public function getTransaction()
    {
        return $this->data['transaction'];
    }
}
